<?php
/*
Plugin Name: WooCommerce Attache Me! - Sequential Order Number Pro
Description: Retrieves the Order id assigned by Sequential Order Number Pro for WooCommerce and displayes it on Download page.
Author: Lagudi Domenico
Version: 1.0
*/
 
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ||
     (is_multisite() && array_key_exists( 'woocommerce/woocommerce.php', get_site_option('active_sitewide_plugins') ))	
	)
{
	add_filter('wcam_get_visual_order_id', 'wcam_sequential_order_number_pro');
}

function wcam_sequential_order_number_pro($original_id)
{
	global $wpdb;
	/* $query = "SELECT post_id 
			  FROM {$wpdb->postmeta}
			  WHERE meta_key = '_order_number_formatted'
			  AND meta_value = '{$sequential_order_id}'"; */
			  
	$query = "SELECT meta_value 
			  FROM {$wpdb->postmeta}
			  WHERE post_id = {$original_id} 
			  AND meta_key = '_order_number_formatted'";
	$result = $wpdb->get_results($query);
	$order_number = isset($result) && isset($result[0]) ? $result[0]->meta_value : $original_id;
	return $order_number;
}
?>